NAT Gateway
Update NAT Gateway
patch
/nat-gateway/{ng_uuid}Update name/label of a NAT Gateway.
Autorización
Authorization
Authorization*string
Bearer YOUR_API_TOKEN con un token de API. También vale la cabecera X-API-Key: YOUR_API_TOKEN.
Parámetros de ruta
ng_uuid*string
Cuerpo de la petición
Update a NAT Gateway
application/jsonObligatorio
name?string | null
Rango
1 ≤ length ≤ 100label?string | null
Rango
length ≤ 255Respuestas
Successful Response
application/json
uuid*string
name*string
label?string | null
status*string
plan*NgPlanDetailOut
Plan the NAT Gateway runs on.
Propiedades (6)
uuid*string
name*string
description?string | null
price_per_hour*number
bandwidth_mbps?integer | null
connections_per_second?integer | null
location_name?string | null
location_description?string | null
project_id?integer | null
project_name?string | null
network_id?integer | null
network_name?string | null
network_cidr?string | null
private_ip?string | null
monthly_charges?number
Por defecto
0floating_ip?NgFloatingIPOut | null
Public IP assigned to a NAT Gateway.
Propiedades (4)
address*string
netmask?string | null
type?string | null
rdns?string | null
protected?boolean
Por defecto
falsecreated_at?string | null
updated_at?string | null